---
name: test-helpers-routes
description: Handle 10 OpenAPI operation(s) under /v1/test_helpers for the test helpers route group.
---

# test helpers API Routes

Handle 10 OpenAPI operation(s) under /v1/test_helpers for the test helpers route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### post_test_helpers_confirmation_tokens

- Operation ID: `post_test_helpers_confirmation_tokens`
- Route: `POST /v1/test_helpers/confirmation_tokens`
- Mode: WRITE
- Summary: Create a test Confirmation Token
- Body: JSON request body accepted.

### post_test_helpers_customers_customer_fund_cash_balance

- Operation ID: `post_test_helpers_customers_customer_fund_cash_balance`
- Route: `POST /v1/test_helpers/customers/{customer}/fund_cash_balance`
- Mode: WRITE
- Summary: Fund a test mode cash balance
- Parameters:
  - `customer` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations

- Operation ID: `post_test_helpers_issuing_authorizations`
- Route: `POST /v1/test_helpers/issuing/authorizations`
- Mode: WRITE
- Summary: Create a test-mode authorization
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations_authorization_capture

- Operation ID: `post_test_helpers_issuing_authorizations_authorization_capture`
- Route: `POST /v1/test_helpers/issuing/authorizations/{authorization}/capture`
- Mode: WRITE
- Summary: Capture a test-mode authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations_authorization_expire

- Operation ID: `post_test_helpers_issuing_authorizations_authorization_expire`
- Route: `POST /v1/test_helpers/issuing/authorizations/{authorization}/expire`
- Mode: WRITE
- Summary: Expire a test-mode authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations_authorization_finalize_amount

- Operation ID: `post_test_helpers_issuing_authorizations_authorization_finalize_amount`
- Route: `POST /v1/test_helpers/issuing/authorizations/{authorization}/finalize_amount`
- Mode: WRITE
- Summary: Finalize a test-mode authorization's amount
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations_authorization_fraud_challenges_respond

- Operation ID: `post_test_helpers_issuing_authorizations_authorization_fraud_challenges_respond`
- Route: `POST /v1/test_helpers/issuing/authorizations/{authorization}/fraud_challenges/respond`
- Mode: WRITE
- Summary: Respond to fraud challenge
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations_authorization_increment

- Operation ID: `post_test_helpers_issuing_authorizations_authorization_increment`
- Route: `POST /v1/test_helpers/issuing/authorizations/{authorization}/increment`
- Mode: WRITE
- Summary: Increment a test-mode authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_authorizations_authorization_reverse

- Operation ID: `post_test_helpers_issuing_authorizations_authorization_reverse`
- Route: `POST /v1/test_helpers/issuing/authorizations/{authorization}/reverse`
- Mode: WRITE
- Summary: Reverse a test-mode authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_test_helpers_issuing_cards_card_shipping_deliver

- Operation ID: `post_test_helpers_issuing_cards_card_shipping_deliver`
- Route: `POST /v1/test_helpers/issuing/cards/{card}/shipping/deliver`
- Mode: WRITE
- Summary: Deliver a testmode card
- Parameters:
  - `card` in `path` required
- Body: JSON request body accepted.
